fgr(1)

NAME
fgr - File content search command

SYNOPSYS
fgr [-r] [-v] [-d ddd] [-m mmm] [-f filter] [-s (+/-)size] [-t type] [-p perm] [grep options...]

-v
    verbose

-V
    Print version number information

-P
    print process id

-f filter
    file filter (enclosed in quotes if regexp *,? or [] is used)

-r
    recursive

-s +kbytes
    Size greater than kbytes KBYTES

-s -kbytes
    size less than kbytes KBYTES

-p perm
    perm is either suid | exe

-t type
    reg | dir | sym | sock | blk | chr | fifo (regular, directory, symlink, socket, blk_dev, chr_dev, fifo)

-d ddd
    created or modified in the previous (int) dd days

-m mmm
    created or modified in the previous (int) mm months

-p perm
    perm is either suid | exe

-e string
    containing string (if *,? or [], use quotes)

-E regexp
    containing regexp: (use quotes).

-i
    ignore case (for search string -c)

-y
    same as -i (obsolete)

-L
    print the name of each input file from which *no* output would normally have been printed.

-c
    only print a count of matching lines for each input file.

-w
    Select only those lines containing matches that form whole words. Word-constituent characters are letters, digits, and the underscore.

-x
    Select only those matches that exactly match the whole line.

-Z
    Output a zero byte (the ASCII NUL character) instead of the character that normally follows a file name

DESCRIPTION
fgr is a file content search engine for Rodent.

REQUIREMENTS
fgr requires GNU grep 2.x or higher

SEE ALSO

AUTHOR
Edscott Wilson Garcia <edscott@imp.mx>